# Enum Class CardTerminals.State

java.lang.Object
java.lang.Enum<CardTerminals.State>
javax.smartcardio.CardTerminals.State

All Implemented Interfaces:
  `Serializable, Comparable<CardTerminals.State>, Constable`

Enclosing class:
  `CardTerminals`

public static enum CardTerminals.State extends Enum<CardTerminals.State>
Enumeration of attributes of a CardTerminal. It is used as a parameter to the CardTerminals.list() method.

Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
All CardTerminals.
`CARD_ABSENT`
CardTerminals in which a card is not present.
`CARD_INSERTION`
CardTerminals for which a card insertion was detected during the latest call to waitForChange().
`CARD_PRESENT`
CardTerminals in which a card is present.
`CARD_REMOVAL`
CardTerminals for which a card removal was detected during the latest call to waitForChange().

## Method Summary

Modifier and Type
Method
Description
`static CardTerminals.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CardTerminals.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final CardTerminals.State ALL
All CardTerminals.

### CARD_PRESENT

public static final CardTerminals.State CARD_PRESENT
CardTerminals in which a card is present.

### CARD_ABSENT

public static final CardTerminals.State CARD_ABSENT
CardTerminals in which a card is not present.

### CARD_INSERTION

public static final CardTerminals.State CARD_INSERTION
CardTerminals for which a card insertion was detected during the latest call to waitForChange().

### CARD_REMOVAL

public static final CardTerminals.State CARD_REMOVAL
CardTerminals for which a card removal was detected during the latest call to waitForChange().

## Method Details

### values

public static CardTerminals.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CardTerminals.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null